2018-06-18 05:43 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004673Kali Linux[All Projects] General Bugpublic2018-04-19 08:45
Reportercrash 
Assigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version2018.3 
Summary0004673: Arachni stopped to work after an update
DescriptionArachni stopped to work after an update.
Steps To Reproduceupdate kali and rum arachni.

Additional InformationAfter the update, while running arachni it returns an error related to zlib, it was possible so solve installing libz-dev.
(apt install libz-dev)

After the zlib problem fixed, arachi needs to install the gem msgpack-0.7.5

Due site protection, more detailed info can be found here:
https://pastebin.com/kKM0ThTS

I tried to install the last msgpack and still not working because arachni requires the version 0.7.5.

Attached Files

-Relationships
+Relationships

-Notes

~0008996

crash (reporter)

Workaround:
apt install libz-dev

Edit the file arachni.gemspec
change the mspack value to 1.2.4
change the oj value to 3.5.0
change the puma value to 3.11.3
change selenium-webdriver value to 3.6.0 (Last PhantonJs supported)
change watir-webdrive to watir and change the version to 6.10.3


Edit the file /usr/share/arachni/lib/arachni/browser.rb
and change require 'watir-webdriver' for require 'watir'

I'm not sure if it impacts in other kali tools.

~0008997

crash (reporter)

typo:
change the msgpack value to 1.2.4

~0009001

sbrun (manager)

fixed in version 1.5.1-0kali3

~0009002

crash (reporter)

Hi sbrun!
Arachni is already running but it shows the message /usr/share/arachni/vendor/bundle/ruby/2.5.0/gems/concurrent-ruby-1.0.2/lib/concurrent/map.rb:206: warning: constant ::Fixnum is deprecated

To fix:
Open the file /var/lib/gems/2.5.0/gems/concurrent-ruby-1.0.2/lib/concurrent/map.rb
comment or remove the line 206

It was my bad, I forgot to add this step.

~0009056

sbrun (manager)

fixed in version 1.5.1-0kali4
+Notes

-Issue History
Date Modified Username Field Change
2018-04-05 07:46 crash New Issue
2018-04-05 10:35 crash Note Added: 0008996
2018-04-05 10:36 crash Note Added: 0008997
2018-04-06 12:36 sbrun Status new => resolved
2018-04-06 12:36 sbrun Resolution open => fixed
2018-04-06 12:36 sbrun Note Added: 0009001
2018-04-06 12:58 crash Status resolved => feedback
2018-04-06 12:58 crash Resolution fixed => reopened
2018-04-06 12:58 crash Note Added: 0009002
2018-04-06 13:03 sbrun Assigned To => sbrun
2018-04-06 13:03 sbrun Status feedback => assigned
2018-04-19 08:45 sbrun Status assigned => resolved
2018-04-19 08:45 sbrun Resolution reopened => fixed
2018-04-19 08:45 sbrun Fixed in Version => 2018.3
2018-04-19 08:45 sbrun Note Added: 0009056
+Issue History